
#ifndef _PAP_DEFINE_
#define _PAP_DEFINE_


#define MAX_WORD_NUM		16
#define MAX_PARA_NUM		255	
#define MAX_REMAIN_NUM		32
#define KEY_CMD_LEN     	32
#define MAX_RESCMD_NUM		8
#define MAX_WORD_LENGTH		128

enum TParamsType
{
	PARAM_TYPE_ANY,															//ͣУ
	PARAM_TYPE_INT,															//ͣУֵ
	PARAM_TYPE_STR,															//ַͣУС
	PARAM_TYPE_CUSTOM,  													//Զͣhandle
};																			

#ifndef PAP_FAIL
#define PAP_FAIL			(-1)
#endif

#ifndef PAP_SUCC
#define PAP_SUCC			0
#endif

#ifndef RET_FAIL
#define RET_FAIL			(-1)
#endif

#ifndef RET_SUCC
#define RET_SUCC			0
#endif

/*ص*/
typedef int (*CallBackKeyCmd)(void* _pvBuf, int _iSzie, void* _pvUser);
typedef int (*CallBackGetParam)(int _iType, void* _pvBuf, int _iSzie, void* _pvUser);
typedef struct tagAnalyzeParam
{
	int						iSize;
	char**					pcCmdText;										//Э
	int						iWordNum;										//Э
	int						iParamNum;										//
	CallBackKeyCmd			pfCb;											//ص
	CallBackGetParam		pfGetParam;										//ȡص
	void*					pvUser;
}AnalyzeParam, *pAnalyzeParam;
typedef int (*CallBackAnalyze)(pAnalyzeParam _pParam);

typedef struct _TProtFrame TProtFrame;
#endif
